import * as z from 'zod';
import type { Prisma } from '../../../generated/prisma';
import { SortOrderSchema } from '../enums/SortOrder.schema';
import { PdfGroupOrderByWithRelationInputObjectSchema as PdfGroupOrderByWithRelationInputObjectSchema } from './PdfGroupOrderByWithRelationInput.schema'

const makeSchema = () => z.object({
  id: SortOrderSchema.optional(),
  filename: SortOrderSchema.optional(),
  pdfData: SortOrderSchema.optional(),
  uploadedAt: SortOrderSchema.optional(),
  groupId: SortOrderSchema.optional(),
  group: z.lazy(() => PdfGroupOrderByWithRelationInputObjectSchema).optional()
}).strict();
export const PdfFileOrderByWithRelationInputObjectSchema: z.ZodType<Prisma.PdfFileOrderByWithRelationInput> = makeSchema() as unknown as z.ZodType<Prisma.PdfFileOrderByWithRelationInput>;
export const PdfFileOrderByWithRelationInputObjectZodSchema = makeSchema();
